Bug 590474 - "Safely remove drive" needs to be done twice on USB flash devices
"Safely remove drive" needs to be done twice on USB flash devices
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gvfs (Show other bugs)
13
All Linux
low Severity low
: ---
: ---
Assigned To: Tomáš Bžatek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-09 14:07 EDT by Place Holder
Modified: 2015-03-03 17:47 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 12:12:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Place Holder 2010-05-09 14:07:42 EDT
Description of problem:
When I insert any of my USB thumb/flash drives (all of which are Kingston, sized 8,16 or 32GB) they work as expected and a gnome file browser pops up with the drive contents.  When I'm done, I close the file browser window and then select the option to "Safely remove drive" I get no pop-up or anything, and then a few seconds later the file browser pops open to the drive again.  The second time I close the file browser and select "Safely remove drive" it seems to work without another re-detect... but I still get no pop-up or anything to tell me its safe to remove the device.

Version-Release number of selected component (if applicable):
Latest Fedora 13 beta with all available updates applied.

How reproducible:
Every time.

Steps to Reproduce:
1. Insert USB flash device.
2. Wait for file browser to open.
3. Close file browser.
4. Select "Safely remove drive".
5. wait...
  
Actual results:
2. Get the file browser.
4. No notification.
5. Get the file browser again in about 10 seconds or less.

Expected results:
4. Expect a notification "Its now safe to remove "volume name/description of device".
5. Don't expect the device to be re-detected until such time as its removed and re-inserted.

Additional info:
This has been happening since at least the start of my using the F13 Beta.
Comment 1 Stephen Haffly 2010-10-20 22:43:34 EDT
Has there been any progress on this? I have experienced this as well.  Unlike the original poster, my experience is that safely remove does not work. I can select it repeatedly and the USB stick will be remounted every time.

The only alternative is to use the "eject" function to at least unmount it. Then I can remove it even though it is not powered down.
Comment 2 Stephen Haffly 2010-11-18 20:56:30 EST
I found that the issue may be the hub that I am running on my system.  It is an Ultra MD2 5.25" 4 Port USB 2.0 and Card Reader that I am using for connecting USB devices on the front of my system. I added it because the case's connectors on top were inconvenient to reach and the ones on the back are full.  

If I have the USB thumb drive connected directly to the top connector, it behaves properly. If I have it connected to the Ultra hub, then it keeps remounting the USB thumb drive, even after I repeatedly select to remove it.

So, the problem exists when a hub is used.  Perhaps this will help.  Otherwise, it will dismount and stay dismounted if I select the Eject option, it just won't power down.
Comment 3 Bug Zapper 2011-06-02 10:18:00 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Stephen Haffly 2011-06-02 12:34:35 EDT
This issue still exists in F14.x86_64. the .i686 version behaves correctly.
Comment 5 Stephen Haffly 2011-06-02 12:36:33 EDT
Also, twice does not work either. The USB drive will remount every time.
Comment 6 Bug Zapper 2011-06-27 12:12:47 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.